<?php
/******************************************************************************/
//                                                                            //
//                             InstantCMS v1.10                               //
//                        http://www.instantcms.ru/                           //
//                                                                            //
//                   written by InstantCMS Team, 2007-2013                    //
//                produced by InstantSoft, (www.instantsoft.ru)               //
//                                                                            //
//                        LICENSED BY GNU/GPL v2                              //
//                                                                            //
/******************************************************************************/


    if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }
    $inUser = cmsUser::getInstance();
	$inPage = cmsPage::getInstance();
	$inConf = cmsConfig::getInstance();

    $mod_count['top']     = $inPage->countModules('top');
    $mod_count['sidebar'] = $inPage->countModules('sidebar');

    $inPage->addHeadCSS('templates/'.TEMPLATE.'/css/reset.css');
    $inPage->addHeadCSS('templates/'.TEMPLATE.'/css/text.css');
    $inPage->addHeadCSS('templates/'.TEMPLATE.'/css/1140.css');
    $inPage->addHeadCSS('templates/'.TEMPLATE.'/css/styles.css?131012');

?>
<!doctype html>
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <?php $inPage->printHead(); ?>
    <?php if($inUser->is_admin){ ?>
        <script src="/admin/js/modconfig.js" type="text/javascript"></script>
        <script src="/templates/<?php echo TEMPLATE; ?>/js/nyromodal.js" type="text/javascript"></script>
        <link href="/templates/<?php echo TEMPLATE; ?>/css/modconfig.css" rel="stylesheet" type="text/css" />
        <link href="/templates/<?php echo TEMPLATE; ?>/css/nyromodal.css" rel="stylesheet" type="text/css" />
    <?php } ?>
	<script src="/templates/<?php echo TEMPLATE; ?>/js/css3-mediaqueries.js" type="text/javascript"></script>
    <meta name="viewport" content="width=device-width; initial-scale=1, maximum-scale=2" />
	<script type="text/javascript">
$(document).ready(function(){
	$(".trigger").click(function(){
		$(".panel").toggle("fast");
		$(this).toggleClass("active");
		return false;
	});
});
</script>
</head>

<body>
<?php if ($inConf->siteoff && $inUser->is_admin) { ?>
<div style="margin:4px; padding:5px; border:solid 1px red; background:#FFF; position: fixed;opacity: 0.8; z-index:999"><?php echo $_LANG['SITE_IS_DISABLE']; ?></div>
<?php } ?>
    <div id="wrapper">

        <div id="header">
            <div class="container16">
                <div class="column16">
				    <div id="sitename">
                        <a href="/"></a>
					</div>

                    <?php if ($inConf->is_change_lang){

                        $langs = cmsCore::getDirsList('/languages'); ?>
                        <div onclick="$('#langs-select').toggle().toggleClass('active_lang');$(this).toggleClass('active_lang'); return false;" title="<?php echo $_LANG['TEMPLATE_INTERFACE_LANG']; ?>" id="langs" style="background-image:  url(/templates/<?php echo TEMPLATE; ?>/images/icons/langs/<?php echo $inConf->lang; ?>.png);">
                            <span>&#9660;</span>
                            <ul id="langs-select">
                                <?php foreach ($langs as $lng) { ?>
                                <li onclick="setLang('<?php echo $lng; ?>'); return false;" style="background-image:  url(/templates/<?php echo TEMPLATE; ?>/images/icons/langs/<?php echo $lng; ?>.png);"><?php echo $lng; ?></li>
                                <?php } ?>
                            </ul>
                        </div>

                    <?php } ?>
                    <?php if (!$inUser->id){ ?>
                        <div class="mod_user_menu">
                            <span class="register"><a href="/registration"><?php echo $_LANG['TEMPLATE_REGISTRATION']; ?></a></span>
                            <span class="login"><a href="/login"><?php echo $_LANG['TEMPLATE_ENTER']; ?></a></span>
                        </div>
                    <?php } else { ?>
                        <?php $inPage->printModules('header'); ?>
                    <?php } ?>
                </div>
            </div>
        </div>

        <div id="page">

            <div class="container16" style="position:relative;z-index:3">
				
                <div class="column16">
				    <a class="trigger" href="#">menu</a>
                    <div id="topmenu">
                            <?php $inPage->printModules('topmenu'); ?>
		            </div>
                </div>
            </div>

            <?php if ($mod_count['top']){ ?>
            <div class="clear"></div>

            <div class="container16">
                <div class="column16">
				    <div id="topwide">
					    <div id="topmod">
				            <?php $inPage->printModules('top'); ?>
						</div>
					</div>
			    </div>
            </div>
            <?php } ?>

                <div class="container16">
                    <div class="column16">
					    <div id="pathway">
					         <?php $inPage->printPathway('&rarr;'); ?>
						</div>
					</div>
                </div>

            <div class="clear"></div>

            <div class="container16">
                <div id="main" class="<?php if ($mod_count['sidebar']) { ?>column11<?php } else { ?>column16<?php } ?>">
                    <?php $inPage->printModules('maintop'); ?>

                    <?php $messages = cmsCore::getSessionMessages(); ?>
                    <?php if ($messages) { ?>
                    <div class="sess_messages">
                        <?php foreach($messages as $message){ ?>
                            <?php echo $message; ?>
                        <?php } ?>
                    </div>
                    <?php } ?>

                    <?php if($inPage->page_body){ ?>
                        <div class="component">
                             <?php $inPage->printBody(); ?>
                        </div>
                    <?php } ?>
                    <?php $inPage->printModules('mainbottom'); ?>
                </div>
                <?php if ($mod_count['sidebar']) { ?>
                    <div class="column5" id="sidebar"><?php $inPage->printModules('sidebar'); ?></div>
                <?php } ?>
            </div>

        </div>

    </div>

    <div id="footer">
        <div class="container16">
            <div class="column11">
                <div id="copyright"><?php $inPage->printSitename(); ?> &copy; <?php echo date('Y'); ?></div>
            </div>
            <div class="column5 foot_right">
                <a href="http://www.instantcms.ru/" title="<?php echo $_LANG['POWERED_BY_INSTANTCMS']; ?>" target="_blank">
                    <img src="/templates/<?php echo TEMPLATE; ?>/images/b88x31.gif" border="0"/>
                </a>
            </div>
        </div>
    </div>

	<script type="text/javascript">
        $(document).ready(function(){
            $('#topmenu .menu li').hover(
                function() {
                    $(this).find('ul:first').show();
                    $(this).find('a:first').addClass("hover");
                },
                function() {
                    $(this).find('ul:first').hide();
                    $(this).find('a:first').removeClass("hover");
                }
            );
        });
    </script>
    <?php if($inConf->debug && $inUser->is_admin){
            $time = $inCore->getGenTime(); ?>
        <div class="debug_info">
            <div class="debug_time">
                <?php echo $_LANG['DEBUG_TIME_GEN_PAGE'].' '.number_format($time, 4).' '.$_LANG['DEBUG_SEC']; ?>
            </div>
            <div class="debug_memory">
                <?php echo $_LANG['DEBUG_MEMORY'].' '.round(@memory_get_usage()/1024/1024, 2).' Mb'; ?>
            </div>
            <div class="debug_query_count">
                <a href="#debug_query_dump" class="ajaxlink" onclick="$('#debug_query_dump').toggle();"><?php echo $_LANG['DEBUG_QUERY_DB'].' '.$inDB->q_count; ?></a>
            </div>
            <div id="debug_query_dump">
                <?php echo $inDB->q_dump; ?>
            </div>
        </div>
    <?php } ?>

</body>
</html>